UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003311unrealircdpublic2007-04-30 07:472007-09-19 04:52
Reporterstskeeps 
Assigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSLinuxOS Versionkinglouie 2.6.18
Product Version3.2.6 
Target VersionFixed in Version3.2.8 
Summary0003311: CGI:IRC & IPv6 Issue
DescriptionWEBIRC <censored> cgiirc psg.com 147.28.0.62, will give a "Invalid IP address".
This is probably due to us running inet_pton(AFINET, .., ip) on it?

TagsNo tags attached.
3rd party modules
Attached Files

- Relationships
related to 0003163resolvedsyzop Allow 1.2.3.4 style IPs in IPv6 mode (not only ::ffff:1.2.3.4) // cgiirc block does not work w/ipv6 
has duplicate 0003533closed CGI:IRC not working properly w/ IPv6 compiles 
child of 0003111closed 3.2.7 Release 
child of 0003454resolvedsyzop Unreal3.2.8 TODO 

-  Notes
(0013944)
stskeeps (reporter)
2007-04-30 07:49

And further acknowledged through that WEBIRC censored cgiirc psg.com :::ffff:147.28.0.62 works.
:P
(0013945)
pv2b (reporter)
2007-04-30 08:27
edited on: 2007-04-30 08:28

On a related note, I can't seem to get hostname filtering to work properly.

Here is the cgiirc block from the config file

cgiirc {
        type webirc;
        hostname "::ffff:127.0.0.1";
        password <censored>;
};

If I try to use "127.0.0.1" instead, I get this error attempting a rehash:

15:15 [PirateNet] !irc.piratpartiet.se *** Notice -- error:
          unrealircd.conf:877: cgiirc block has cgiirc::hostname set to
          '127.0.0.1' (IPv4) on a IPv6 compile, use the ::ffff:1.2.3.4 form
          instead

It also does not work with hostname "localhost";.

Either way I do it, I get the same message:

*** Closing Link [127.0.0.1] (CGI:IRC -- No access)

Finally, I would like to confirm that the CGI:IRC in question is in fact set to connect to "127.0.0.1". Everything works great with hostname "*";.

(0013947)
syzop (administrator)
2007-04-30 10:00

pv2b: that's 0003163
(0014788)
syzop (administrator)
2007-09-19 04:52

Fixed in .683/.684:
- CGI:IRC + IPv6: Fixed cgiirc block hostname never matching ipv4 cgiirc
  gateway properly (..again..), this was previously reported by pv2b.
- CGI:IRC + IPv6: Fixed issue where all cgiirc ipv4 clients were rejected with
  the message 'Invalid IP address', reported by stskeeps (0003311), nate
  (0003533) and others.

- Issue History
Date Modified Username Field Change
2007-04-30 07:47 stskeeps New Issue
2007-04-30 07:47 stskeeps Status new => feedback
2007-04-30 07:47 stskeeps Relationship added child of 0003049
2007-04-30 07:49 stskeeps Note Added: 0013944
2007-04-30 08:27 pv2b Note Added: 0013945
2007-04-30 08:28 pv2b Note Edited: 0013945
2007-04-30 10:00 syzop Note Added: 0013947
2007-04-30 10:00 syzop Relationship added related to 0003163
2007-05-08 13:55 syzop Relationship added child of 0003111
2007-09-06 10:07 syzop Relationship added child of 0003454
2007-09-19 04:32 syzop Relationship added has duplicate 0003533
2007-09-19 04:32 syzop QA => Not touched yet by developer
2007-09-19 04:32 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-09-19 04:32 syzop U4: Upstream notification of bug => Not decided
2007-09-19 04:32 syzop U4: Contributor working on this => None
2007-09-19 04:32 syzop Assigned To => syzop
2007-09-19 04:32 syzop Severity minor => major
2007-09-19 04:32 syzop Status feedback => assigned
2007-09-19 04:52 syzop Status assigned => resolved
2007-09-19 04:52 syzop Fixed in Version => 3.2.8
2007-09-19 04:52 syzop Resolution open => fixed
2007-09-19 04:52 syzop Note Added: 0014788


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker